Source-Changes-HG archive
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]
[src/trunk]: src/external/bsd/libelf Add a script to prepare libelf for import.
details: https://anonhg.NetBSD.org/src/rev/9560add76b1a
branches: trunk
changeset: 750148:9560add76b1a
user: thorpej <thorpej%NetBSD.org@localhost>
date: Sat Dec 19 05:45:28 2009 +0000
description:
Add a script to prepare libelf for import.
diffstat:
external/bsd/libelf/prepare-import.sh | 42 +++++++++++++++++++++++++++++++++++
1 files changed, 42 insertions(+), 0 deletions(-)
diffs (46 lines):
diff -r aa8c87e5132f -r 9560add76b1a external/bsd/libelf/prepare-import.sh
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/external/bsd/libelf/prepare-import.sh Sat Dec 19 05:45:28 2009 +0000
@@ -0,0 +1,42 @@
+#!/bin/sh
+# $NetBSD: prepare-import.sh,v 1.1 2009/12/19 05:45:28 thorpej Exp $
+
+# Copy the FreeBSD src/lib/libelf directory contents to dist. Run
+# this script and you're done.
+#
+# lib/ is built as SUBDIR from external/lib/Makefile.
+#
+# Use the following template to import
+# cvs import src/external/bsd/libelf/dist FreeBSD FreeBSD-X-Y-Z
+#
+# don't forget to bump the lib/shlib_version if necessary
+#
+
+set -e
+
+echo "Adding RCS tags .."
+for f in $(grep -RL '\$NetBSD.*\$' dist | grep -v CVS); do
+ case $f in
+ *.[ch] | *.m4)
+ cat - > ${f}_tmp <<- EOF
+ /* \$NetBSD\$ */
+
+ EOF
+ sed -e 's,^__FBSDID.*,\/\* & \*\/\
+__RCSID\(\"\$NetBSD\$\"\)\;,g' ${f} >> ${f}_tmp
+ mv ${f}_tmp ${f}
+ ;;
+ *.[0-9])
+ cat - ${f} > ${f}_tmp <<- EOF
+ .\" \$NetBSD\$
+ .\"
+ EOF
+ mv ${f}_tmp ${f}
+ ;;
+ *)
+ echo "No RCS tag added to ${f}"
+ ;;
+ esac
+done
+
+echo "prepare-import done"
Home |
Main Index |
Thread Index |
Old Index